> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Pricing

> Create a pricing configuration. Provide `productId` to attach pricing to an existing product, or `productName` to create a product in the same request.

**Scope:** `pricing:write`


## OpenAPI

````yaml /openapi/pricing.yaml post /v1/pricing
openapi: 3.1.0
info:
  title: Pricing API
  version: '1.0'
servers:
  - url: https://api.monk.com
    description: Production
  - url: https://api-sandbox.monk.com
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/pricing:
    post:
      summary: Create Pricing
      description: >-
        Create a pricing configuration. Provide `productId` to attach pricing to
        an existing product, or `productName` to create a product in the same
        request.
      operationId: createPricing
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePricingRequest'
            examples:
              recurring:
                summary: Monthly subscription
                value:
                  productName: Platform Access
                  name: Monthly platform access
                  model: FLAT
                  billingMode: RECURRING
                  flatAmount: '500.00'
                  priceInterval: MONTH
              one_time:
                summary: One-time setup fee
                value:
                  productName: Implementation
                  name: Setup fee
                  model: FLAT
                  billingMode: ONE_TIME
                  flatAmount: '2500.00'
      responses:
        '201':
          description: Created pricing record.
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    $ref: '#/components/schemas/Pricing'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '422':
          $ref: '#/components/responses/ValidationError'
components:
  schemas:
    CreatePricingRequest:
      type: object
      required:
        - name
        - model
        - billingMode
      properties:
        productId:
          type: string
          format: uuid
          description: Existing product ID. Provide either `productId` or `productName`.
        productName:
          type: string
          description: Product name to create when `productId` is omitted.
        productDescription:
          type: string
        name:
          type: string
        description:
          type: string
        model:
          type: string
          enum:
            - FLAT
            - TIER
            - USAGE
        billingMode:
          type: string
          enum:
            - RECURRING
            - ONE_TIME
        unitAmount:
          type: string
          description: Per-unit dollar amount.
        flatAmount:
          type: string
          description: Fixed dollar amount.
        priceInterval:
          type: string
          enum:
            - WEEK
            - MONTH
            - YEAR
          description: Required for recurring pricing.
        priceIntervalCount:
          type: integer
          default: 1
        tiering:
          type: string
          enum:
            - NONE
            - VOLUME
            - GRADUATED
          default: NONE
        pricingTiers:
          type: array
          items:
            $ref: '#/components/schemas/PricingTier'
        meterId:
          type: string
          format: uuid
          description: Required only for usage pricing.
    Pricing:
      type: object
      required:
        - id
        - productId
        - productName
        - name
        - model
        - billingMode
        - tiering
        - createdAt
      properties:
        id:
          type: string
          format: uuid
        productId:
          type: string
          format: uuid
        productName:
          type: string
        name:
          type: string
        description:
          type: string
          nullable: true
        model:
          type: string
          enum:
            - FLAT
            - TIER
            - USAGE
        billingMode:
          type: string
          enum:
            - RECURRING
            - ONE_TIME
        tiering:
          type: string
          enum:
            - NONE
            - VOLUME
            - GRADUATED
        unitAmount:
          type: string
          nullable: true
        flatAmount:
          type: string
          nullable: true
        priceInterval:
          type: string
          nullable: true
        priceIntervalCount:
          type: integer
          nullable: true
        meterId:
          type: string
          format: uuid
          nullable: true
        pricingTiers:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/PricingTier'
        createdAt:
          type: string
          format: date-time
    PricingTier:
      type: object
      required:
        - unitAmount
        - minQty
      properties:
        unitAmount:
          type: string
        minQty:
          type: string
        maxQty:
          type: string
        flatAmount:
          type: string
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - code
          properties:
            message:
              type: string
            code:
              type: string
  responses:
    Unauthorized:
      description: Missing or invalid API key.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    ValidationError:
      description: Request validation failed.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Monk API key as the bearer token.

````